/*
 * generated by Xtext
 */
package com.mncml.dsl.ui;

import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

import com.google.inject.Injector;

import com.mncml.dsl.ui.internal.MncActivator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class MncExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return MncActivator.getInstance().getBundle();
	}
	
	@Override
	protected Injector getInjector() {
		return MncActivator.getInstance().getInjector(MncActivator.COM_MNCML_DSL_MNC);
	}
	
}
